:root {
    color-scheme: light dark;
    --bg-color: #ffffff;
    --accent-color: #000000;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg-color: #000000;
        --accent-color: #ffffff;
    }
}

html, body {
    min-height: 100svh;
    margin: 0;
    background-color: var(--bg-color);
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    touch-action: manipulation;

    svg {
        width: 90vw;
        height: 90vh;
        max-width: 100%;
        max-height: 100%;
	aspect-ratio: 1 / 1;
        transform: translateZ(0); /* Hardware acceleration */

        rect {
            fill: var(--bg-color);
            transition: fill 0.3s ease;
        }

        path {
            fill: var(--accent-color);
            transition: fill 0.3s ease;
        }
    }
}
